summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2015-01-31 06:10:21 -0600
committerRobby Russell <robby@planetargon.com>2015-01-31 06:10:21 -0600
commit1ac2f8645e9cec48cbcb036f02479d3666ae13c8 (patch)
treef08a36c95b30feee69fd915ced5d7d9ff8588f2d /tools
parent147ebd60d9000674eb8fa95713d2be9600d11090 (diff)
parent5cb0ed98d1e5f0119e7871e21948a6b931f14a78 (diff)
downloadzsh-1ac2f8645e9cec48cbcb036f02479d3666ae13c8.tar.gz
zsh-1ac2f8645e9cec48cbcb036f02479d3666ae13c8.tar.bz2
zsh-1ac2f8645e9cec48cbcb036f02479d3666ae13c8.zip
Merge pull request #3493 from NicholasTD07/patch-1
Fast installation time by shallow copying git repo
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index a53ac48ab..69213d4a3 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -10,7 +10,7 @@ if [ -d "$ZSH" ]; then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-hash git >/dev/null 2>&1 && env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+hash git >/dev/null 2>&1 && env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
echo "git not installed"
exit
}